namespace ConsoleApplication1.Migrations
{
    using System.Data.Entity.Migrations;
    using Devart.Data.SQLite.Entity.Migrations;
    using Devart.Data.SQLite.Entity;
    
    public partial class AddBooks : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Books",
                c => new
                    {
                        rowid = c.Int(nullable: false, identity: true),
                        Author = c.String(maxLength: 200),
                        Name = c.String(maxLength: 300),
                        Content = c.String(),
                        Books = c.String(),
                    },
                    anonymousArguments: new SQLiteCreateTableConfiguration()
                    {
                        TableType = SQLiteTableType.Fts4,
                        FtsTokenizer = SQLiteFtsTokenizer.Porter
                    })
                .PrimaryKey(t => t.rowid);
            
        }
        
        public override void Down()
        {
            DropTable("Books");
        }
    }
}
